# std::strlen

From cppreference.com
< cpp‎ | string‎ | byte

Defined in header `<cstring>` |  |
std::size_t strlen( const char* str ); |  |

Returns the length of the given byte string, that is, the number of characters in a character array whose first element is pointed to by `str` up to and not including the first null character. The behavior is undefined if there is no null character in the character array pointed to by `str`.

### Parameters

str | - | pointer to the null-terminated byte string to be examined

### Return value

The length of the null-terminated string `str`.

### Example

Run this code

    #include <cstring>
    #include <iostream>

    int main()
    {
       const char str[] = "How many characters does this string contain?";

       std::cout << "without null character: " << std::strlen(str) << '\n'
                 << "with null character: " << sizeof str << '\n';
    }

Output:

    without null character: 45
    with null character: 46

### See also

wcslen | returns the length of a wide string (function)
mblen | returns the number of bytes in the next multibyte character (function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/string/byte/strlen&oldid=82817"